
lcWall = 100;
Merge "airfoil_geometry.geo";

xC = 400;
RFar = 5000;
lcFar = 1000;
Point(2000) = {xC, 0, 0, lcFar};
Point(2001) = {xC+RFar, 0, 0, lcFar};
Point(2002) = {xC+RFar*Cos(2*Pi/3), RFar*Sin(2*Pi/3), 0, lcFar};
Point(2003) = {xC+RFar*Cos(-2*Pi/3), RFar*Sin(-2*Pi/3), 0, lcFar};
Circle(10) = {2001, 2000, 2002};
Circle(11) = {2002, 2000, 2003};
Circle(12) = {2003, 2000, 2001};

Line Loop(13) = {1, 2};
Line Loop(14) = {3, 4};
Line Loop(15) = {5, 6, 7};
Line Loop(16) = {10, 11, 12};

Plane Surface(17) = {16, 13, 14, 15};

Mesh.CharacteristicLengthFromCurvature = 1;

Field[1] = BoundaryLayer;
Field[1].EdgesList = {1, 2, 3, 4, 5, 6, 7};
Field[1].NodesList = {1, 2, 9, 5, 6};
Field[1].Quads = 1;
Field[1].fan_angle = 50;
Field[1].hfar = lcFar;
Field[1].hwall_n = 0.1;
Field[1].hwall_t = 100;
Field[1].ratio = 1.4;
Field[1].thickness = 5;
//Field[1].FacesList = {};
//Field[1].AnisoMax = 1000;
//Field[1].IntersectMetrics = 0;
BoundaryLayer Field = 1;

//Mesh.MinimumCirclePoints = 3;
//Mesh.MinimumCurvePoints = 7;

